## curl 7.38.0

=== debian/changelog ===
curl (7.38.0-4+deb8u11) jessie-security; urgency=high

  * Fix heap buffer over-read when parsing bad RTSP headers
    as per CVE-2018-1000301
    https://curl.haxx.se/docs/adv_2018-b138.html

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 15 May 2018 23:05:31 +0100

curl (7.38.0-4+deb8u10) jessie-security; urgency=high

  * Fix NIL byte out of bounds write due to FTP path trickery
    as per CVE-2018-1000120
    https://curl.haxx.se/docs/adv_2018-9cd6.html
  * Fix LDAP NULL pointer dereference as per CVE-2018-1000121
    https://curl.haxx.se/docs/adv_2018-97a2.html
  * Fix RTSP RTP buffer over-read as per CVE-2018-1000122
    https://curl.haxx.se/docs/adv_2018-b047.html

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 13 Mar 2018 20:47:46 +0000

curl (7.38.0-4+deb8u9) jessie-security; urgency=high

  * Fix HTTP authentication leak in redirects as per CVE-2018-1000007
    https://curl.haxx.se/docs/adv_2018-b3bf.html

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 25 Jan 2018 22:34:49 +0000

curl (7.38.0-4+deb8u8) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix NTLM buffer overflow via integer overflow as per CVE-2017-8816
    https://curl.haxx.se/docs/adv_2017-11e7.html
  * Fix FTP wildcard out of bounds read as per CVE-2017-8817
    https://curl.haxx.se/docs/adv_2017-ae72.html

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 25 Nov 2017 22:03:21 +0100

curl (7.38.0-4+deb8u7) jessie-security; urgency=medium

  * Fix IMAP FETCH response out of bounds read as per CVE-2017-1000257
    https://curl.haxx.se/docs/adv_20171023.html

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 22 Oct 2017 22:01:06 +0100

curl (7.38.0-4+deb8u6) jessie-security; urgency=medium

  * Fix TFTP sends more than buffer size as per CVE-2017-1000100
    https://curl.haxx.se/docs/adv_20170809B.html
  * Fix URL globbing out of bounds read as per CVE-2017-1000101
    https://curl.haxx.se/docs/adv_20170809A.html
  * Fix FTP PWD response parser out of bounds read as per CVE-2017-1000254
    https://curl.haxx.se/docs/adv_20171004.html

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 01 Oct 2017 12:05:13 +0100

curl (7.38.0-4+deb8u5) jessie-security; urgency=high

  * Fix cookie injection for other servers as per CVE-2016-8615
    https://curl.haxx.se/docs/adv_20161102A.html
  * Fix case insensitive password comparison as per CVE-2016-8616
    https://curl.haxx.se/docs/adv_20161102B.html
  * Fix OOB write via unchecked multiplication as per CVE-2016-8617
    https://curl.haxx.se/docs/adv_20161102C.html
  * Fix double-free in curl_maprintf as per CVE-2016-8618
    https://curl.haxx.se/docs/adv_20161102D.html
  * Fix double-free in krb5 code as per CVE-2016-8619
    https://curl.haxx.se/docs/adv_20161102E.html
  * Fix glob parser write/read out of bounds as per CVE-2016-8620
    https://curl.haxx.se/docs/adv_20161102F.html
  * Fix curl_getdate read out of bounds as per CVE-2016-8621
    https://curl.haxx.se/docs/adv_20161102G.html
  * Fix URL unescape heap overflow via integer truncation as per CVE-2016-8622
    https://curl.haxx.se/docs/adv_20161102H.html
  * Fix use-after-free via shared cookies as per CVE-2016-8623
    https://curl.haxx.se/docs/adv_20161102I.html
  * Fix invalid URL parsing with '#' as per CVE-2016-8624
    https://curl.haxx.se/docs/adv_20161102J.html

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 01 Nov 2016 21:38:10 +0000

curl (7.38.0-4+deb8u4) jessie-security; urgency=high

  * Fix TLS session resumption client cert bypass as per CVE-2016-5419
    https://curl.haxx.se/docs/adv_20160803A.html
  * Fix re-using connection with wrong client cert as per CVE-2016-5420
    https://curl.haxx.se/docs/adv_20160803B.html
  * Fix use of connection struct after free as per CVE-2016-5421
    https://curl.haxx.se/docs/adv_20160803C.html

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 01 Aug 2016 12:19:28 +0100

curl (7.38.0-4+deb8u3) jessie-security; urgency=medium

  * Fix NTLM credentials not-checked for proxy connection re-use
    as per CVE-2016-0755
    http://curl.haxx.se/docs/adv_20160127A.htm

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 26 Jan 2016 22:39:38 +0000

curl (7.38.0-4+deb8u2) jessie-security; urgency=high

  * Don't send sensitive HTTP server headers to proxies as per CVE-2015-3153
    http://curl.haxx.se/docs/adv_20150429.html

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 29 Apr 2015 10:47:47 +0200

curl (7.38.0-4+deb8u1) jessie-security; urgency=high

  * Fix re-using authenticated connection when unauthenticated
    as per CVE-2015-3143
    http://curl.haxx.se/docs/adv_20150422A.html
  * Fix host name out of boundary memory access as per CVE-2015-3144
    http://curl.haxx.se/docs/adv_20150422D.html
  * Fix cookie parser out of boundary memory access as per CVE-2015-3145
    http://curl.haxx.se/docs/adv_20150422C.html
  * Fix Negotiate not treated as connection-oriented as per CVE-2015-3148
    http://curl.haxx.se/docs/adv_20150422B.html

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 21 Apr 2015 13:16:29 +0200

curl (7.38.0-4) unstable; urgency=high

  * Fix URL request injection vulnerability as per CVE-2014-8150
    http://curl.haxx.se/docs/adv_20150108B.html
  * Set urgency=high accordingly

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 08 Jan 2015 10:47:24 +0100

curl (7.38.0-3) unstable; urgency=high

  * Enable all hardening options (Closes: #763372)
  * Fix duphandle read out of bounds as per CVE-2014-3707
    http://curl.haxx.se/docs/adv_20141105.html
  * Set urgency=high accordingly

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 06 Nov 2014 11:40:24 +0100

curl (7.38.0-2) unstable; urgency=medium

  * Check for libtoolize instead of libtool during build.
    Thanks to Helmut Grohne for the patch (Closes: #761740)
  * Add README.source note regarding ordering of patches (Closes: #762193)
  * Add 10_fix-resolver.patch from upstream (Closes: #762014)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 23 Sep 2014 16:41:53 +0200


