=== debian/watch ===
version=3
http://curl.haxx.se/download/curl-([\d\.]*).tar.gz
