=== debian/control ===
--- 
+++ 
@@ -1,36 +1,35 @@
 Source: curl
 Section: web
 Priority: optional
-Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: debhelper (>= 9),
  autoconf,
  automake,
  ca-certificates,
  groff-base,
- libgnutls28-dev,
+ libgnutls-dev,
  libidn11-dev,
  libkrb5-dev,
  libldap2-dev,
  libnss3-dev,
  librtmp-dev (>= 2.4+20131018.git79459a2-3~),
- libssh2-1-dev,
  libssl-dev,
  libtool,
  openssh-server,
  python,
  quilt,
- stunnel4,
  zlib1g-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/curl.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/curl.git
 Homepage: http://curl.haxx.se
 
 Package: curl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3-gnutls (= ${binary:Version})
 Multi-Arch: foreign
 Description: command line tool for transferring data with URL syntax
  curl is a command line tool for transferring data with URL syntax, supporting
@@ -126,7 +125,6 @@
  libkrb5-dev,
  libldap2-dev,
  librtmp-dev,
- libssh2-1-dev,
  libssl-dev,
  pkg-config,
  zlib1g-dev
@@ -146,7 +144,7 @@
  successful companies and numerous applications.
  .
  This package provides the development files (ie. includes, static library,
- manual pages) that allow to build software which uses libcurl.
+ manual pages) that allow one to build software which uses libcurl.
  .
  SSL support is provided by OpenSSL.
 
@@ -160,12 +158,11 @@
 Conflicts: libcurl4-openssl-dev, libcurl4-nss-dev
 Depends: ${misc:Depends}, libcurl3-gnutls (= ${binary:Version})
 Suggests: libcurl4-doc, libcurl3-dbg,
- libgnutls28-dev,
+ libgnutls-dev,
  libidn11-dev,
  libkrb5-dev,
  libldap2-dev,
  librtmp-dev,
- libssh2-1-dev,
  pkg-config,
  zlib1g-dev
 Multi-Arch: same
@@ -184,7 +181,7 @@
  successful companies and numerous applications.
  .
  This package provides the development files (ie. includes, static library,
- manual pages) that allow to build software which uses libcurl.
+ manual pages) that allow one to build software which uses libcurl.
  .
  SSL support is provided by GnuTLS.
 
@@ -203,7 +200,6 @@
  libldap2-dev,
  libnss3-dev,
  librtmp-dev,
- libssh2-1-dev,
  pkg-config,
  zlib1g-dev
 Multi-Arch: same
@@ -222,7 +218,7 @@
  successful companies and numerous applications.
  .
  This package provides the development files (ie. includes, static library,
- manual pages) that allow to build software which uses libcurl.
+ manual pages) that allow one to build software which uses libcurl.
  .
  SSL support is provided by NSS.
