=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20141010~),
  autoconf,
  automake,
  ca-certificates,
+ dpkg-dev (>= 1.17.14~),
  groff-base,
- libgnutls-dev,
+ libgnutls28-dev,
  libidn11-dev,
  libkrb5-dev,
  libldap2-dev,
@@ -17,14 +18,15 @@
  librtmp-dev (>= 2.4+20131018.git79459a2-3~),
  libssl-dev,
  libtool,
- openssh-server,
- python,
+ openssh-server <!nocheck>,
+ python:native,
  quilt,
+ stunnel4 <!nocheck>,
  zlib1g-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/curl.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/curl.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/curl.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/curl.git
 Homepage: http://curl.haxx.se
 
 Package: curl
@@ -158,7 +160,7 @@
 Conflicts: libcurl4-openssl-dev, libcurl4-nss-dev
 Depends: ${misc:Depends}, libcurl3-gnutls (= ${binary:Version})
 Suggests: libcurl4-doc, libcurl3-dbg,
- libgnutls-dev,
+ libgnutls28-dev,
  libidn11-dev,
  libkrb5-dev,
  libldap2-dev,
